# $Revision: 1.37 $, $Date: 2011/02/20 07:18:34 $
# TODO:
# - install+package ruby, java, csharp bindings
Summary:	A cross-platform chemistry program and library designed to convert file formats
Summary(pl.UTF-8):	Międzyplatformowy program chemiczny i biblioteka do konwersji formatów plików
Name:		openbabel
Version:	2.3.0
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/openbabel/%{name}-%{version}.tar.gz
# Source0-md5:	effda01ed4a31d18d8e3d08191799608
Patch0:		%{name}-ruby.patch
Patch1:		%{name}-python.patch
Patch2:		%{name}-prefix.patch
Patch3:		%{name}-perl.patch
URL:		http://openbabel.sourceforge.net/
BuildRequires:	cmake >= 2.6.0
BuildRequires:	eigen >= 2
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.6.5
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.577
BuildRequires:	wxGTK2-devel
BuildRequires:	zlib-devel
#BuildRequires:	jdk
#BuildRequires:	mono-csharp
#BuildRequires:	ruby-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Babel is a project designed to pick up where Babel left off, as a
cross-platform program and library designed to interconvert between
many file formats used in molecular modeling and computational
chemistry.

%description -l pl.UTF-8
Open Babel to projekt mający pozbierać to, co zostało po zaniechaniu
projektu Babel, jako międzyplatformowy program i biblioteka służące do
konwersji między wieloma formatami używanymi w modelowaniu cząsteczek
i chemii obliczeniowej.

%package devel
Summary:	Header files for OpenBabel
Summary(pl.UTF-8):	Pliki nagłówkowe dla OpenBabel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel
Obsoletes:	openbabel-static

%description devel
Header files for OpenBabel.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla OpenBabel.

%package gui
Summary:	OpenBabel GUI
Summary(pl.UTF-8):	Graficzny interfejs użytkownika OpenBabel
Group:		X11/Applications/Science
Requires:	%{name} = %{version}-%{release}

%description gui
Graphical User Interface for OpenBabel.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika OpenBabel.

%package -n perl-Chemistry-OpenBabel
Summary:	Perl binding for OpenBabel
Summary(pl.UTF-8):	Wiązanie Perla do biblioteki OpenBabel
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-Chemistry-OpenBabel
Perl binding for OpenBabel.

%description -n perl-Chemistry-OpenBabel -l pl.UTF-8
Wiązanie Perla do biblioteki OpenBabel.

%package -n python-openbabel
Summary:	Python binding for OpenBabel
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki OpenBabel
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-openbabel
Python binding for OpenBabel.

%description -n python-openbabel -l pl.UTF-8
Wiązanie Pythona do biblioteki OpenBabel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake . \
	-DALL_BINDINGS=ON \
	-DCSHARP_EXECUTABLE=/usr/bin/mcs \
	-DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DwxWidgets_CONFIG_EXECUTABLE=%{_bindir}/wx-gtk2-unicode-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS doc/*.html
%attr(755,root,root) %{_bindir}/babel
%attr(755,root,root) %{_bindir}/obabel
%attr(755,root,root) %{_bindir}/obchiral
%attr(755,root,root) %{_bindir}/obconformer
%attr(755,root,root) %{_bindir}/obenergy
%attr(755,root,root) %{_bindir}/obfit
%attr(755,root,root) %{_bindir}/obgen
%attr(755,root,root) %{_bindir}/obgrep
%attr(755,root,root) %{_bindir}/obminimize
%attr(755,root,root) %{_bindir}/obprobe
%attr(755,root,root) %{_bindir}/obprop
%attr(755,root,root) %{_bindir}/obrotamer
%attr(755,root,root) %{_bindir}/obrotate
%attr(755,root,root) %{_bindir}/obspectrophore
%attr(755,root,root) %{_bindir}/roundtrip
%attr(755,root,root) %{_libdir}/libinchi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinchi.so.0
%attr(755,root,root) %{_libdir}/libopenbabel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenbabel.so.4
%dir %{_libdir}/openbabel
%dir %{_libdir}/openbabel/%{version}
%attr(755,root,root) %{_libdir}/openbabel/%{version}/*.so
%{_datadir}/openbabel
%{_mandir}/man1/babel.1*
%{_mandir}/man1/obchiral.1*
%{_mandir}/man1/obconformer.1*
%{_mandir}/man1/obenergy.1*
%{_mandir}/man1/obfit.1*
%{_mandir}/man1/obgen.1*
%{_mandir}/man1/obgrep.1*
%{_mandir}/man1/obminimize.1*
%{_mandir}/man1/obprobe.1*
%{_mandir}/man1/obprop.1*
%{_mandir}/man1/obrotamer.1*
%{_mandir}/man1/obrotate.1*
%{_mandir}/man1/roundtrip.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinchi.so
%attr(755,root,root) %{_libdir}/libopenbabel.so
%{_libdir}/openbabel/OpenBabel2*.cmake
%{_includedir}/inchi
%{_includedir}/openbabel-2.0
%{_pkgconfigdir}/openbabel-2.0.pc

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/OBGUI

%files -n perl-Chemistry-OpenBabel
%defattr(644,root,root,755)
%{perl_vendorarch}/Chemistry/OpenBabel.pm
%dir %{perl_vendorarch}/auto/Chemistry/OpenBabel
%{perl_vendorarch}/auto/Chemistry/OpenBabel/OpenBabel.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Chemistry/OpenBabel/OpenBabel.so

%files -n python-openbabel
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_openbabel.so
%{py_sitedir}/openbabel.py[co]
%{py_sitedir}/pybel.py[co]
%{py_sitedir}/openbabel-1.6-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openbabel.spec,v $
Revision 1.37  2011/02/20 07:18:34  arekm
- release 2

Revision 1.36  2011/02/06 08:20:00  qboosh
- release 1; uninstalled bindings to finish are new things

Revision 1.35  2011/01/29 14:58:12  qboosh
- build wxWidgets-based GUI
- csharp is compiled now, but not installed

Revision 1.34  2011/01/27 16:48:55  qboosh
- python is packaged now; ruby and java are not installed, csharp not built

Revision 1.33  2011/01/26 14:43:25  qboosh
- more python files

Revision 1.32  2011/01/25 20:24:08  qboosh
- updated python patch so it actually works
- kill unwanted -O3 from C (libinchi) compilation
- package python binding

Revision 1.31  2011/01/25 14:22:52  qboosh
- added prefix,perl,python patches
- now perl binding is packaged; python still broken

Revision 1.30  2011/01/23 19:56:31  qboosh
- macros for cmake macro

Revision 1.29  2011/01/23 19:50:07  qboosh
- added missing perl binding preamble

Revision 1.28  2011/01/23 19:18:08  qboosh
- updated to 2.3.0
- added ruby patch
- project switched to cmake, so -static is gone
- package perl binding (perl-Chemistry-OpenBabel); more to do
- wx needs fixing or hacking cmake
- release 0.1, WIP

Revision 1.27  2010/07/30 21:43:38  shadzik
- 2.2.2

Revision 1.26  2008/08/21 18:05:05  megabajt
- build static library too
- release 2

Revision 1.25  2008/08/10 10:32:39  rotom
- up to 2.2.0

Revision 1.24  2008/06/15 19:54:22  rotom
- ghost soname symlink

Revision 1.23  2008/06/15 19:48:12  rotom
- up to 2.1.1

Revision 1.22  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.20  2006/08/27 17:01:29  qboosh
- updated to 2.0.2, force libinchi build

Revision 1.19  2006/07/23 12:59:20  qboosh
- updated to 2.0.1
- added missing symlink and one more missing dir

Revision 1.18  2005/12/09 12:20:04  qboosh
- missing dir, kill static plugins

Revision 1.17  2005/12/09 12:16:16  undefine
- up to 2.0.0 by wopozka@gazeta.pl

Revision 1.16  2005/12/08 17:59:38  qboosh
- gpm-friendly Source0 URL, -devel R: libstdc++-devel

Revision 1.15  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.14  2004/04/09 23:06:16  qboosh
- fixed Groups (it doesn't use X11)

Revision 1.13  2004/03/07 21:22:10  grzegol
- updated to 1.100.2
- strict internal deps

Revision 1.12  2004/02/12 15:10:37  grzegol
- added math/{matrix3x3,vector3}.h files
- rel. 2

Revision 1.11  2003/06/27 12:10:31  qboosh
- added shared library, *.la and *.pc

Revision 1.10  2003/06/25 07:35:59  adamg
- updated to 1.100.1

Revision 1.9  2003/05/31 23:35:25  adamg
- up to 1.100.0
- removed obsoleted DESTDIR patch

Revision 1.8  2003/05/28 13:00:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:51:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/10 11:44:56  qboosh
- working Source0 URL, cosmetics

Revision 1.5  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.3  2002/09/16 01:33:59  qboosh
- pl description, added missing dirs, BR: automake, release 3

Revision 1.2  2002/09/09 00:16:24  blues
- release 2 - added includes for openbabel in subpackage, STBR

Revision 1.1  2002/09/07 04:19:56  blues
- initial release
